- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# AsyncStartupWaiter_i Class Reference

`#include <AsyncStartupWaiter_i.h>`

Collaboration diagram for AsyncStartupWaiter_i:

[legend]
List of all members.

## Public Member Functions
void | wait_for_startup (ImplementationRepository::AMH_AsyncStartupWaiterResponseHandler_ptr rh, const char *name ACE_ENV_ARG_DECL) throw (CORBA::SystemException)
void | unblock_one (const char *name, const char *partial_ior, const char *ior, bool queue)
void | unblock_all (const char *name)
void | debug (bool dbg)
## Private Types
typedef ACE_Vector< PendingData > | PendingList
typedef ACE_Strong_Bound_Ptr< PendingList, ACE_Null_Mutex > | PendingListPtr
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, PendingListPtr, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | PendingMap
typedef ACE_Vector< ImplementationRepository::AMH_AsyncStartupWaiterResponseHandler_var > | RHList
typedef ACE_Strong_Bound_Ptr< RHList, ACE_Null_Mutex > | RHListPtr
typedef ACE_Hash_Map_Manager_Ex< ACE_CString, RHListPtr, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | WaitingMap
## Private Member Functions
ImplementationRepository::AMH_AsyncStartupWaiterResponseHandler_ptr | get_one_waiter (const char *name)
void | get_all_waiters (const char *name, RHList &ret)
void | send_response (ImplementationRepository::AMH_AsyncStartupWaiterResponseHandler &rh, const char *name, const char *partial_ior, const char *ior)
## Private Attributes
WaitingMap | waiting_
PendingMap | pending_
bool | debug_
## Classes
struct | PendingData

## Member Typedef Documentation

typedef ACE_Vector<PendingData> AsyncStartupWaiter_i::PendingList`[private]`

typedef ACE_Strong_Bound_Ptr<PendingList, ACE_Null_Mutex> AsyncStartupWaiter_i::PendingListPtr`[private]`

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, PendingListPtr, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> AsyncStartupWaiter_i::PendingMap`[private]`

typedef ACE_Vector<ImplementationRepository::AMH_AsyncStartupWaiterResponseHandler_var> AsyncStartupWaiter_i::RHList`[private]`

typedef ACE_Strong_Bound_Ptr<RHList, ACE_Null_Mutex> AsyncStartupWaiter_i::RHListPtr`[private]`

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, RHListPtr, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> AsyncStartupWaiter_i::WaitingMap`[private]`

## Member Function Documentation

void AsyncStartupWaiter_i::debug | ( | bool | dbg | ) |

void AsyncStartupWaiter_i::get_all_waiters | ( | const char * | name,
|  | RHList & | ret |
| ) |  |  | `[private]`

ImplementationRepository::AMH_AsyncStartupWaiterResponseHandler_ptr AsyncStartupWaiter_i::get_one_waiter | ( | const char * | name | ) | `[private]`

void AsyncStartupWaiter_i::send_response | ( | ImplementationRepository::AMH_AsyncStartupWaiterResponseHandler & | rh,
|  | const char * | name,
|  | const char * | partial_ior,
|  | const char * | ior |
| ) |  |  | `[private]`

void AsyncStartupWaiter_i::unblock_all | ( | const char * | name | ) |

void AsyncStartupWaiter_i::unblock_one | ( | const char * | name,
|  | const char * | partial_ior,
|  | const char * | ior,
|  | bool | queue |
| ) |  |  |

void AsyncStartupWaiter_i::wait_for_startup | ( | ImplementationRepository::AMH_AsyncStartupWaiterResponseHandler_ptr | rh,
|  | const char *name | ACE_ENV_ARG_DECL |
| ) |  |  | throw (CORBA::SystemException)

## Member Data Documentation

bool AsyncStartupWaiter_i::debug_`[private]`

PendingMap AsyncStartupWaiter_i::pending_`[private]`

WaitingMap AsyncStartupWaiter_i::waiting_`[private]`

The documentation for this class was generated from the following files:

- AsyncStartupWaiter_i.h
- AsyncStartupWaiter_i.cpp